import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.StringItem;
import javax.microedition.midlet.MIDletStateChangeException;



/**
 * @author Gregor Broll, Alex De Luca
 *
 * This class implements a form that shows the last 5 answers from the server.
 */
public class RecordHistoryForm extends Form implements CommandListener
{
	private PMP3Midlet midlet;
	private RecordManager recordManager;
	
	private final static Command inputCMD = new Command("Input", Command.ITEM, 1);
	private final static Command exitCMD = new Command("Exit", Command.EXIT, 1);
		
	
	/**
	 * Constructor; sets up the interface
	 * 
	 * @param midlet
	 * @param recordManager
	 */
	public RecordHistoryForm(PMP3Midlet midlet, RecordManager recordManager)
	{
		super("History");
		this.midlet = midlet;
		this.recordManager = recordManager;
		
		append(new StringItem("The last 5 answers from the server:", ""));
		
		String[] records = recordManager.getRecords();		//get the last 5 server-answers from the recordmanager
		
		for(int i=0; i<records.length; i++)
		{	
			append(new StringItem(i+1 + ". " + records[i], ""));
		}
		
		addCommand(inputCMD);
		addCommand(exitCMD);	
		setCommandListener(this);		
	}


	/**
	 * Command-handler
	 */
	public void commandAction(Command cmd, Displayable d) 
	{
		if(cmd == inputCMD)
		{
			midlet.showDisplayable(new InputForm(midlet, recordManager));
		}
		
		if(cmd == exitCMD)
		{
			try 
			{
				midlet.destroyApp(true);
			} 
			catch (MIDletStateChangeException e) 
			{
				e.printStackTrace();
			}
		}
	}
}
