import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.Gauge;



/**
 * @author Gregor Broll, Alex De Luca
 *
 * A simple form that shows a gauge in order to indicate waiting for a response from the server.
 */
public class WaitingForm extends Form implements CommandListener
{
	private PMP3Midlet midlet;
	private InputForm inputForm;
	private final static Command cancelCMD = new Command ("Cancel", Command.ITEM, 1);
	

	/**
	 * Constructor; sets up the form
	 */
	public WaitingForm(PMP3Midlet midlet, InputForm inputForm)
	{
		super("Waiting ...");
		
		this.midlet = midlet;
		this.inputForm = inputForm;
		append(new Gauge("Please wait while the midlet connects to the server", false, Gauge.INDEFINITE, Gauge.CONTINUOUS_RUNNING));
		
		setCommandListener(this);
		addCommand(cancelCMD);
	}
	
	
	/**
	 * Command-handler 
	 */
	public void commandAction(Command c, Displayable d) 
	{
		if(c == cancelCMD)
		{
			midlet.showDisplayable(inputForm);
		}		
	}	
}
